
Getting Started - Bug # 4318

Status: Resolved Priority: Should have
Author: ziyad saeed Category: Content / Instructions
Created: 2009-08-25 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: generateController only generates one controller at a time
Description

According to the Getting Started guide alpha3. it says that using the following command
(php Packages\Framework\FLOW3\Scripts\FLOW3.php
Kickstart Kickstart generateController --packageKey Blog --controllerName
Blog,Post,Comment) will generate the controllers for blog, post and comment.

On Windows 7 with WAMP 2 and Powershell
the command only generates controller for just one of them.
PS C:\wamp\www\FLOW3Tutorial> (php Packages\Framework\FLOW3\Scripts\FLOW3.php Kickstart Kickstart generateController
--packageKey Blog --controllerName Blog,Post,Comment)
+ .../Packages/Application/Blog/Classes/Controller/BlogController.php
+ .../Packages/Application/Blog/Resources/Private/Templates/Blog/index.html

History
#1 - 2009-09-04 11:45 - Robert Lemke
- Target version changed from 1.0.0 alpha 3 to 1.0.0 alpha 4

#2 - 2009-09-04 12:22 - Karsten Dambekalns
- Category set to Content / Instructions
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Could you try to enclose the controller names in quotes (double and/or single) to check if the commas get somehow eaten by the shell?

(php Packages\Framework\FLOW3\Scripts\FLOW3.php Kickstart Kickstart generateController --packageKey Blog --controllerName
"Blog,Post,Comment")

#3 - 2009-09-04 14:24 - ziyad saeed

worked. Putting quotes generates 3 controllers for blog, post and comment and accompanying templates.
bug closed

#4 - 2009-09-04 14:26 - Karsten Dambekalns

Hi.

ziyad saeed wrote:

worked. Putting quotes generates 3 controllers for blog, post and comment and accompanying templates.
Did you use single or double quotes?

#5 - 2009-09-04 17:22 - Bastian Waidelich

Karsten Dambekalns wrote:

Did you use single or double quotes?

FYI: For me (Windows 7) all three combinations (no quotes, single quotes, double quotes) work in fact.

#6 - 2009-09-04 17:23 - Bastian Waidelich

Bastian Waidelich wrote:

FYI: For me (Windows 7) all three combinations (no quotes, single quotes, double quotes) work in fact.

Correction: single quotes do not work (they wouldn't throw an exception but create files like 'BlogController.php)

#7 - 2009-09-04 17:54 - ziyad saeed

I used double quotes and it generated all the required files in the correct path.

#8 - 2009-09-07 11:53 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved

Thanks for your feedback!

The tutorial has been updated in SVN and will be updated on the website as soon as possible.
